<template>
  <div v-if="!title.IsHidden" class="px-8 pt-4 pb-20">
    <div class="mb-10">
      <div class="text-[44px] text-[color:var(--title-font-color)] font-bold">
        {{ $t("faq") }}
      </div>
    </div>
    <CollapseLists>
      <CollapseItem
        v-for="(item, index) in contentTitles"
        :key="index"
        :termcondition="item"
      >
        <div v-html="contentDetailFiltered(item.HtmlId)?.Text"></div>
      </CollapseItem>
    </CollapseLists>
  </div>
</template>
<script lang="ts" setup>
import CollapseLists from "./components/footerComponents/CollapseLists.client.vue";
import CollapseItem from "./components/footerComponents/CollapseItem.client.vue";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import themePropertyHelper from "@/utils/themePropertyHelper";
import { store } from "@/store";
import _ from "lodash";
const themeProperties = computed(
  () => store.state.companyThemePropertiesFromApi.ThemeProperties
);
const title = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "footer_menu_info_6"
    )
);
const contentTitles = computed(
  (): Array<IThemePropertiesFromApi> =>
    _.orderBy(themePropertyHelper
      .getMultipleThemesProperties(
        themeProperties.value,
        "menu_content_title_6_"
      ), [(title) => title.HtmlId.length, 'HtmlId']
      ).filter((titleProperty) => !titleProperty.IsHidden)
);
const contentDetailFiltered = (htmlId: string): IThemePropertiesFromApi => {
  const id = htmlId.replace("menu_content_title_6_", "");
  return themePropertyHelper.getSingleThemeProperty(
    themeProperties.value,
    `menu_content_detail_6_${id}`
  );
};
</script>
